# std::pmr::polymorphic_allocator<T>::allocate

From cppreference.com
< cpp‎ | memory‎ | polymorphic allocator

T* allocate( std::size_t n ); |  | (since C++17) (until C++20)
[[nodiscard]] T* allocate( std::size_t n ); |  | (since C++20)

Allocates storage for `n` objects of type `T` using the underlying memory resource. Equivalent to `return static_cast<T*>(resource()->allocate(n * sizeof(T), alignof(T)));`.

### Parameters

n | - | the number of objects to allocate storage for

### Return value

A pointer to the allocated storage.

### Exceptions

Throws std::length_error if `n > SIZE_MAX / sizeof(T)`; may also any exceptions thrown by the call to resource()->allocate.

### See also

allocate_bytes (C++20) | Allocate raw aligned memory from the underlying resource (public member function)
allocate_object (C++20) | Allocates raw memory suitable for an object or an array (public member function)
new_object (C++20) | Allocates and constructs an object (public member function)
allocate [static] | allocates uninitialized storage using the allocator (public static member function of `std::allocator_traits<Alloc>`)
allocate | allocates memory (public member function of `std::pmr::memory_resource`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/polymorphic_allocator/allocate&oldid=109503"